QGIS Application - Bug report #10188
Postgresql connection with i18n characters in either username or password fails.
2014-05-06 06:41 AM - Csaba Sandor

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18641
Description

When | try to connect to Postgresql server with my user and pass containing i18n chars | get "password authentication failed" and the
username wrongly encoded in the error message. Special chars replaced by a'?'.

Schemas, tables with i18n chars are properly displayed in QGIS.
| can connect successfully with same credentials from:
-command line on Ubuntu Server

-pgAdmin 11l from my Windows box

QGIS 2.2 on Windows 8.1 from OSGEO4W
Postgresql 9.1 on Ubuntu Server 12.04

Side note: | think | have to allow special characters in username as | authenticate against AD through LDAP based on CN not UID.

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-08 01:35 PM - Jiirgen Fischer
- Assignee deleted (Jiirgen Fischer)

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
